LibOFX: OfxTransactionContainer Class Reference

LibOFX

Public Member Functions | Data Fields
OfxTransactionContainer Class Reference

Represents a generic transaction. More...

Inheritance diagram for OfxTransactionContainer:

## Public Member Functions
| OfxTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, std::string para_tag_identifier)
virtual void | add_attribute (const std::string identifier, const std::string value)
| Add data to a container object. More...
void | add_account (OfxAccountData *account_data)
virtual int | gen_event ()
| Generate libofx.h events. More...
virtual int | add_to_main_tree ()
| Add this container to the main tree. More...
Public Member Functions inherited from OfxGenericContainer
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, std::string para_tag_identifier)
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)

## Data Fields
OfxTransactionData | data
Data Fields inherited from OfxGenericContainer
std::string | type
std::string | tag_identifier
OfxGenericContainer * | parentcontainer
LibofxContext * | libofx_context

## Detailed Description

Represents a generic transaction.

Definition at line 243 of file ofx_containers.hh.

## Member Function Documentation

## ◆ add_attribute()

void OfxTransactionContainer::add_attribute | ( | const std::string | identifier,
|  | const std::string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Reimplemented in OfxInvestmentTransactionContainer, and OfxBankTransactionContainer.

Definition at line 96 of file ofx_container_transaction.cpp.

Referenced by OfxBankTransactionContainer::add_attribute(), and OfxInvestmentTransactionContainer::add_attribute().

## ◆ add_to_main_tree()

int OfxTransactionContainer::add_to_main_tree | ( |  | ) |
| virtual

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns
  true if successful, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 82 of file ofx_container_transaction.cpp.

## ◆ gen_event()

int OfxTransactionContainer::gen_event | ( |  | ) |
| virtual

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 68 of file ofx_container_transaction.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- ofx_container_transaction.cpp